# Add a catalog product to InLine Cart

## Overview

Use the **Product** object to add a catalog product to the InLine Cart by calling the click event handler.

## Use case

1. Add an HTML link or button in your page like the one below.
2. Create a JavaScript click handler to execute the Inline Client desired methods.
3. Use the`TwoCoInlineCart.products.add({code, quantity, options})`method to prepare your catalog product.
4. Use the`TwoCoInlineCart.cart.checkout()`method to show the cart on your page.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### Javascript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.products.add({ // Adding the desired product in the cart
    code: "74B8E17CC0", // Product code from 2Checkout cPanel account
    quantity: 3 // Quantity of the given product
  });
  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After adding the product to the InLine cart using the above method, your cart should look like this.

{% embed url="<https://codepen.io/2checkout-documentation/pen/zVxyXo>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/add-a-catalog-product-to-inline-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
